dofile(LockOn_Options.common_script_path.."KNEEBOARD/indicator/definitions.lua")
SetScale(FOV)

add_picture(LockOn_Options.script_path.."../IndicationTextures/notepad.dds")

local gettext = require("i_18n")
_ = gettext.translate

function AddElement(object)
    object.use_mipfilter = true
    Add(object)
end

ChecklistBase					= CreateElement "ceSimple"
ChecklistBase.name				= "ChecklistBase"
ChecklistBase.init_pos			= {0, GetAspect() - 3.5 * 0.0075}
AddElement(ChecklistBase)

-- Fonts
FontSizeX1	= 0.0075
FontSizeY1	= FontSizeX1

predefined_font			= {FontSizeY1 * 1.1,	FontSizeX1 * 1.1,	0.0,		0.0}
predefined_font_08		= {FontSizeY1 * 1.0,	FontSizeX1 * 1.0,	-0.0015,	0.0}
predefined_font_key		= {FontSizeY1 * 0.9,	FontSizeX1 * 0.9,	-0.0013,	0.0}
predefined_font_item	= {FontSizeY1 * 0.75,	FontSizeX1 * 0.75,	-0.0009,	0.0}

--
local HeadLineY		= 1.355
local TitleLineY	= 1.165
local FirstLineY	= 1.075
local LineSizeY		= 0.092
local itemsNumX		= -0.96
local itemsTextX	= -0.83
local itemsAnswerX	= 0.95
local checklistNum	= 0

local function getLineY(line)
	return FirstLineY - LineSizeY * (line)
end

txt_Checklist				= CreateElement "ceStringPoly"
txt_Checklist.name			= "txt_Checklist"
txt_Checklist.material		= "font_checklist_kneeboard"
txt_Checklist.init_pos		= {0, HeadLineY, 0}
txt_Checklist.value			= _("CHECKLIST")
txt_Checklist.alignment		= "CenterBottom"
txt_Checklist.stringdefs	= predefined_font
AddElement(txt_Checklist)

local function addChecklistTitle(num, text, key)

	checklistNum = num

	txt_ChecklistTitle				= CreateElement "ceStringPoly"
	txt_ChecklistTitle.name			= "txt_ChecklistTitle" .. string.format("%i", num)
	txt_ChecklistTitle.material		= "font_checklist_kneeboard"
	txt_ChecklistTitle.init_pos		= {-0.93, TitleLineY, 0}
	txt_ChecklistTitle.value		= text
	txt_ChecklistTitle.alignment	= "LeftBottom"
	txt_ChecklistTitle.stringdefs	= predefined_font_08
	AddElement(txt_ChecklistTitle)
	
	txt_ChecklistKey				= CreateElement "ceStringPoly"
	txt_ChecklistKey.name			= "txt_ChecklistKey" .. string.format("%i", num)
	txt_ChecklistKey.material		= "font_checklist_kneeboard_keys"
	txt_ChecklistKey.init_pos		= {0.93, TitleLineY, 0}
	txt_ChecklistKey.value			= key
	txt_ChecklistKey.alignment		= "RightBottom"
	txt_ChecklistKey.stringdefs		= predefined_font_key
	AddElement(txt_ChecklistKey)

end

local function addChecklistItem(num, text, answer)

	txt_ChecklistItemNum				= CreateElement "ceStringPoly"
	txt_ChecklistItemNum.name			= "txt_ChecklistItemNum" .. string.format("%i", checklistNum) .. string.format("%i", num)
	txt_ChecklistItemNum.material		= "font_checklist_kneeboard_item"
	txt_ChecklistItemNum.init_pos		= {itemsNumX, getLineY(num), 0}
	txt_ChecklistItemNum.value			= string.format("%i.", num)
	txt_ChecklistItemNum.alignment		= "LeftBottom"
	txt_ChecklistItemNum.stringdefs		= predefined_font_item
	AddElement(txt_ChecklistItemNum)

	txt_ChecklistItemText				= CreateElement "ceStringPoly"
	txt_ChecklistItemText.name			= "txt_ChecklistItemText" .. string.format("%i", checklistNum) .. string.format("%i", num)
	txt_ChecklistItemText.material		= "font_checklist_kneeboard_item"
	txt_ChecklistItemText.init_pos		= {itemsTextX, getLineY(num), 0}
	txt_ChecklistItemText.value			= text
	txt_ChecklistItemText.alignment		= "LeftBottom"
	txt_ChecklistItemText.stringdefs	= predefined_font_item
	AddElement(txt_ChecklistItemText)

	txt_ChecklistItemAnswer				= CreateElement "ceStringPoly"
	txt_ChecklistItemAnswer.name		= "txt_ChecklistItemAnswer" .. string.format("%i", checklistNum) .. string.format("%i", num)
	txt_ChecklistItemAnswer.material	= "font_checklist_kneeboard_answer"
	txt_ChecklistItemAnswer.init_pos	= {itemsAnswerX, getLineY(num), 0}
	txt_ChecklistItemAnswer.value		= answer
	txt_ChecklistItemAnswer.alignment	= "RightBottom"
	txt_ChecklistItemAnswer.stringdefs	= predefined_font_item
	AddElement(txt_ChecklistItemAnswer)

end

addChecklistTitle(1, _("BEFORE APU START_board"), _("LSHIFT+NUM1"))

addChecklistItem(1,		_("BATTERY_board"),							_("ON. VOLTAGE NORMAL_board"))
addChecklistItem(2,		_("RECORDER_board"),						_("ON. WORKS_board"))
addChecklistItem(3,		_("STICK AND PEDALS_board"),					_("NEUTRAL_board"))
addChecklistItem(4,		_("CIRCUIT-BREAKERS_board"),					_("ON_board"))
addChecklistItem(5,		_("DOORS_board"),					_("CLOSED_board"))
addChecklistItem(6,		_("WHEEL BRAKES_board"),				_("ON PARKED_board"))
addChecklistItem(7,		_("ROTOR BRAKE_board"),					_("OFF_board"))
addChecklistItem(8,		_("POWER LEVERS_board"),				_("MIDDLE, LOCKED_board"))
addChecklistItem(9,		_("COLLECTIVE THROTTLE_board"),	 				_("DOWN, FULL LEFT_board"))
addChecklistItem(10,	_("EMERGENCY WARNING LAMPS_board"),				_("TEST, OK_board"))
addChecklistItem(11,	_("SPUU-52_board"),							_("ON_board"))
addChecklistItem(12,	_("EXTINGUISHING SYSTEM_board"),			_("EXTINGUISHING. OK_board"))
addChecklistItem(13,	_("FEED SWITCH_board"),					_("ON_board"))
addChecklistItem(14,	_("FUEL GAUGE_board"),					_("OK_board"))
addChecklistItem(15,	_("FUEL VALVES_board"),					_("OPENED_board"))
addChecklistItem(16,	_("GENERATORS_board"),					_("OFF_board"))
addChecklistItem(17,	_("ENGINE STOP LEVERS_board"),				_("REAR POSITION_board"))
addChecklistItem(18,	_("READY TO START APU_board"),				_("READY_board"))
