dofile(LockOn_Options.common_script_path.."KNEEBOARD/indicator/definitions.lua")
SetScale(FOV)

add_picture(LockOn_Options.script_path.."../IndicationTextures/notepad.dds")

local gettext = require("i_18n")
_ = gettext.translate

function AddElement(object)
    object.use_mipfilter = true
    Add(object)
end

ChecklistBase					= CreateElement "ceSimple"
ChecklistBase.name				= "ChecklistBase"
ChecklistBase.init_pos			= {0, GetAspect() - 3.5 * 0.0075}
AddElement(ChecklistBase)

-- Fonts
FontSizeX1	= 0.0075
FontSizeY1	= FontSizeX1

predefined_font			= {FontSizeY1 * 1.1,	FontSizeX1 * 1.1,	0.0,		0.0}
predefined_font_08		= {FontSizeY1 * 1.0,	FontSizeX1 * 1.0,	-0.0015,	0.0}
predefined_font_key		= {FontSizeY1 * 0.9,	FontSizeX1 * 0.9,	-0.0013,	0.0}
predefined_font_item	= {FontSizeY1 * 0.75,	FontSizeX1 * 0.75,	-0.0009,	0.0}

--
local HeadLineY		= 1.355
local TitleLineY	= 1.165
local FirstLineY	= 1.075
local LineSizeY		= 0.092
local itemsNumX		= -0.96
local itemsTextX	= -0.83
local itemsAnswerX	= 0.95
local checklistNum	= 0

local function getLineY(line)
	return FirstLineY - LineSizeY * (line)
end

txt_Checklist				= CreateElement "ceStringPoly"
txt_Checklist.name			= "txt_Checklist"
txt_Checklist.material		= "font_checklist_kneeboard"
txt_Checklist.init_pos		= {0, HeadLineY, 0}
txt_Checklist.value			= _("CHECKLIST")
txt_Checklist.alignment		= "CenterBottom"
txt_Checklist.stringdefs	= predefined_font
AddElement(txt_Checklist)

local function addChecklistTitle(num, text, key)

	checklistNum = num

	txt_ChecklistTitle				= CreateElement "ceStringPoly"
	txt_ChecklistTitle.name			= "txt_ChecklistTitle" .. string.format("%i", num)
	txt_ChecklistTitle.material		= "font_checklist_kneeboard"
	txt_ChecklistTitle.init_pos		= {-0.93, TitleLineY, 0}
	txt_ChecklistTitle.value		= text
	txt_ChecklistTitle.alignment	= "LeftBottom"
	txt_ChecklistTitle.stringdefs	= predefined_font_08
	AddElement(txt_ChecklistTitle)
	
	txt_ChecklistKey				= CreateElement "ceStringPoly"
	txt_ChecklistKey.name			= "txt_ChecklistKey" .. string.format("%i", num)
	txt_ChecklistKey.material		= "font_checklist_kneeboard_keys"
	txt_ChecklistKey.init_pos		= {0.93, TitleLineY, 0}
	txt_ChecklistKey.value			= key
	txt_ChecklistKey.alignment		= "RightBottom"
	txt_ChecklistKey.stringdefs		= predefined_font_key
	AddElement(txt_ChecklistKey)

end

local function addChecklistItem(num, text, answer)

	txt_ChecklistItemNum				= CreateElement "ceStringPoly"
	txt_ChecklistItemNum.name			= "txt_ChecklistItemNum" .. string.format("%i", checklistNum) .. string.format("%i", num)
	txt_ChecklistItemNum.material		= "font_checklist_kneeboard_item"
	txt_ChecklistItemNum.init_pos		= {itemsNumX, getLineY(num), 0}
	txt_ChecklistItemNum.value			= string.format("%i.", num)
	txt_ChecklistItemNum.alignment		= "LeftBottom"
	txt_ChecklistItemNum.stringdefs		= predefined_font_item
	AddElement(txt_ChecklistItemNum)

	txt_ChecklistItemText				= CreateElement "ceStringPoly"
	txt_ChecklistItemText.name			= "txt_ChecklistItemText" .. string.format("%i", checklistNum) .. string.format("%i", num)
	txt_ChecklistItemText.material		= "font_checklist_kneeboard_item"
	txt_ChecklistItemText.init_pos		= {itemsTextX, getLineY(num), 0}
	txt_ChecklistItemText.value			= text
	txt_ChecklistItemText.alignment		= "LeftBottom"
	txt_ChecklistItemText.stringdefs	= predefined_font_item
	AddElement(txt_ChecklistItemText)

	txt_ChecklistItemAnswer				= CreateElement "ceStringPoly"
	txt_ChecklistItemAnswer.name		= "txt_ChecklistItemAnswer" .. string.format("%i", checklistNum) .. string.format("%i", num)
	txt_ChecklistItemAnswer.material	= "font_checklist_kneeboard_answer"
	txt_ChecklistItemAnswer.init_pos	= {itemsAnswerX, getLineY(num), 0}
	txt_ChecklistItemAnswer.value		= answer
	txt_ChecklistItemAnswer.alignment	= "RightBottom"
	txt_ChecklistItemAnswer.stringdefs	= predefined_font_item
	AddElement(txt_ChecklistItemAnswer)

end

addChecklistTitle(4, _("AFTER ENGINE START_board"), _("LSHIFT+NUM4"))

addChecklistItem(1,		_("GENERATORS AND RECTIFIERS_board"),			_("ON_board"))
addChecklistItem(2,		_("EMERGENCY GENERATOR AND APU_board"),			_("OFF_board"))
addChecklistItem(3,		_("PO-115 AND PT-36 SWITCHES_board"),			_("AUTO_board"))
addChecklistItem(4,		_("ROTOR RATE_board"),					_("OK_board"))
addChecklistItem(5,		_("ATTITUDE INDICATORS,  _board"),				_("ON. READINGS NORMAL_board"))
addChecklistItem(6,		_("COURSE SYSTEM_board"),				_("ON. SLAVED_board"))
addChecklistItem(7,		_("ADF_board"),						_("ON_board"))
addChecklistItem(8,		_("DOPPLER NAVIGATION_board"),				_("ON. READY_board"))
addChecklistItem(9,	_("IFF_board"),							_("OK_board"))
addChecklistItem(10,	_("RADAR ALTIMETER_board"),						_("ON_board"))
addChecklistItem(11,	_("QFH / QFE ON ALTIMETERS_board"),					_("SET_board"))
addChecklistItem(12,	_("UV-26 COUNTER MEASURES_board"),								_("ON. SET_board"))
addChecklistItem(13,	_("ENGINES_board"),	_("NORMAL_board"))
addChecklistItem(14,	_("EMERGENCY AND WARNING LAMPS_board"),			_("NONE LIT_board"))
